/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "eggtrayicon.h"
#include "callbacks.h"
#include "Reseau.h"




static gboolean tray_icon_release (GtkWidget * widget, GdkEventButton * event)
{
	if (event->button == 3) {
		printf ("[I] Release\n");
		gtk_menu_popdown (GTK_MENU (menu_Applet));
		return FALSE;
	}

	return TRUE;
}



void Affiche_Cache(){
		if (Demarrage) {
			gtk_widget_show (window_demarrage);
		}
		else {
			if (Root_Afficher)
				gtk_widget_hide (window);
			else
				gtk_widget_show (window);
			Root_Afficher = !Root_Afficher;
		}
	
}

static gboolean tray_icon_press (GtkWidget * widget, GdkEventButton * event)
{

	if (event->button == 3) {
		printf ("[I] Press\n");
		gtk_menu_popup (GTK_MENU (menu_Applet), NULL, NULL, NULL, NULL, event->button, event->time);
		return TRUE;
	}
	else {
		printf ("[I] Press2\n");
		Affiche_Cache();
		return TRUE;
	}
	return FALSE;
}


void on_Affiche_Cache_activate (GtkMenuItem * menuitem, gpointer user_data)
{
Affiche_Cache();
}


void creation_applet_icone ()
{
	Root_Afficher = FALSE;
	tray_icon = egg_tray_icon_new ("AutoScan Beta0.92");
	image = gtk_image_new_from_file ("/usr/share/pixmaps/AutoScan/AutoScan.png");
	tray_icon_tooltip = gtk_tooltips_new ();
	gtk_tooltips_set_tip (tray_icon_tooltip, GTK_WIDGET (tray_icon), _("AutoScan Beta0.92"), NULL);
	evbox = gtk_event_box_new ();
	gtk_container_add (GTK_CONTAINER (evbox), image);
	gtk_container_add (GTK_CONTAINER (tray_icon), evbox);
	gtk_widget_show_all (GTK_WIDGET (tray_icon));
	g_signal_connect (G_OBJECT (evbox), "button_press_event", G_CALLBACK (tray_icon_press), NULL);
	g_signal_connect (G_OBJECT (evbox), "button_release_event", G_CALLBACK (tray_icon_release), NULL);
}


void destruction_applet_icone(){
	gtk_widget_unrealize(GTK_WIDGET (tray_icon));
	//egg_tray_icon_unrealize(GTK_WIDGET (tray_icon));	
}
