 /*
  *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU Library General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  */



#include "callbacks.h"


void on_window_Contributions_destroy (GtkObject * object, gpointer user_data)
{
	window_Contributions = create_window_Contributions ();
}




void on_button_Contributions_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide (window_Contributions);
}


void Affiche_Contributions (char *Nom, char *Signature, char *Type)
{
	char      temp[255];

	gtk_text_set_point (GTK_EDITABLE (textview_Contributions), 0);
	gtk_text_forward_delete (GTK_EDITABLE (textview_Contributions), gtk_text_get_length (GTK_EDITABLE (textview_Contributions)));
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, "Subject : Unknown Equipment\n\nSystem Name : ", 43);
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, Nom, strlen (Nom));
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, "\nMD5 signature : ", 17);
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, Signature, strlen (Signature));
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, "\nType : ", 8);
	gtk_text_insert (GTK_EDITABLE (textview_Contributions), NULL, NULL, NULL, Type, strlen (Type));
	gtk_widget_show (window_Contributions);

}


void Envoie_Signature_Html (char *Nom, char *Signature, char *Type)
{
	pid_t     pid_fils;
	char      Tmp[255];

	pid_fils = fork ();	// création d'un fils
	if (pid_fils == 0) {
		sprintf (Tmp, "mozilla 'http://autoscan.free.fr/Add_OS_Fingerprinting.php?System_Name=%s&MD5_signature=%s&Type=%s'", Nom, Signature, Type);
		printf ("[I] Commande : [%s]\n", Tmp);
		system (Tmp);
		exit (127);
	}

}
