/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "callbacks.h"
#include "Reseau.h"

void futur_version(){
	//	gtk_widget_set_sensitive (tree_Preference_Type_equipement, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Type_equipement_Type, FALSE);
	gtk_widget_set_sensitive (iconentry_Preference_Type_equipement, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Equipement, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Equipement_Down, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Equipement_Actions_Email, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Type_equipement_Etat_Equipement_Actions_Email, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Equipement_Actions_Message, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Equipement_Actions_Script, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Type_equipement_Etat_Equipement_Actions_Script, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Port, FALSE);	
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Port_Down, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Port_Actions_Email, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Type_equipement_Etat_Port_Actions_Email, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Port_Actions_Message, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Type_equipement_Etat_Port_Actions_Script, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Type_equipement_Etat_Port_Actions_Script, FALSE);
	gtk_widget_set_sensitive (button_Preference_Type_equipement_Ajouter, FALSE);
	gtk_widget_set_sensitive (button_Preference_Type_equipement_Enlever, FALSE);
	gtk_widget_set_sensitive (button_Preference_Type_equipement_Valider, FALSE);
	gtk_widget_set_sensitive (button_Preference_Type_equipement_Annuler, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Notification_Nouveau_Equipement, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Notification_Nouveau_Equipement_Message, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Notification_Nouveau_Equipement_Email, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Notification_Nouveau_Equipement_Email, FALSE);
	gtk_widget_set_sensitive (checkbutton_Preference_Notification_Etat_NBNS, FALSE);
	gtk_widget_set_sensitive (spinbutton_Preference_Notification_Etat_Equipement_Up_Secondes, FALSE);
	gtk_widget_set_sensitive (spinbutton_Preference_Notification_Etat_Equipement_Down_Secondes, FALSE);
	gtk_widget_set_sensitive (spinbutton_Preference_Notification_Etat_Port_Up_Secondes, FALSE);
	gtk_widget_set_sensitive (spinbutton_Preference_Notification_Etat_Port_Down_Secondes, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Preference_Shell, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Preference_Samba, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Preference_Web, FALSE);
	gtk_widget_set_sensitive (entry_Preference_Preference_Smtp, FALSE);
	gtk_widget_set_sensitive (ctree_Preference_Extensions, FALSE);
}


void Lecture_Fichier_Interface ()
{
	FILE     *Fichier_Interface;
	char      buf[512], CheminFichier[256];
	int       MaxThread;
	char     *pBuf;
	
	sprintf (CheminFichier, "%s/.AutoScan/Conf/Interface", Info_User->pw_dir);
	if ((Fichier_Interface = fopen (CheminFichier, "r")) == NULL) {
		perror ("[I] fopen :");
		printf ("[I] Impossible de lire Interface\n");
		return;
	}
	else {
		if (fgets (buf, sizeof (buf), Fichier_Interface)) {
			printf ("[I] [%s]\n", buf);
			pBuf = index (buf, ';');
			printf("[I] [%s]\n",pBuf);
			if (sscanf (pBuf, ";%d;",&MaxThread) != 1) {
				printf ("[I] Erreur de lecture du fichier Interface\n");
			}
			else {
				pBuf[0] = 0;
				gtk_adjustment_set_value (GTK_ADJUSTMENT (spinbutton_Preference_Interface_Max_Thread_Scan_adj), (gdouble) MaxThread);
				gtk_entry_set_text (GTK_ENTRY (combo_entry_Preference_Interface), buf);
			}
		}
	}
	fclose (Fichier_Interface);
}



void on_button_Preference_Annuler_clicked (GtkButton * button, gpointer user_data)
{
	gtk_widget_hide (window_Preference);
	Lecture_Fichier_Interface ();
	Annuler_Sous_Reseau ();
}


void on_button_Preference_Enregistrer_clicked (GtkButton * button, gpointer user_data)
{
	FILE     *Fichier_Interface;
	char      buf[512], CheminFichier[256];

	gtk_widget_hide (window_Preference);
	sprintf (CheminFichier, "%s/.AutoScan/Conf/Interface", Info_User->pw_dir);
	if ((Fichier_Interface = fopen (CheminFichier, "w")) == NULL) {
		perror ("[I] fopen :");
		printf ("[I] Impossible de ecrire Interface\n");
	}
	sprintf (buf, "%s;%d;\n", gtk_entry_get_text (GTK_ENTRY (combo_entry_Preference_Interface)), (int) gtk_adjustment_get_value (GTK_ADJUSTMENT (spinbutton_Preference_Interface_Max_Thread_Scan_adj)));
	/* Enregistrement */
	if (fputs (buf, Fichier_Interface) != 1)
		printf ("[I] Erreur Ecriture fichier Interface\n");
	fclose (Fichier_Interface);
	Enregistrer_Sous_Reseau ();
}


void Initialisation_Preference ()
{
	Affiche_liste_Sous_reseau ();
}


void on_button_Demarrage_Preferences_clicked (GtkButton * button, gpointer user_data)
{
	Initialisation_Preference ();
	gtk_ctree_set_line_style (GTK_CTREE (ctree_Preference_Sous_reseau_privee), GTK_CTREE_LINES_NONE);
	futur_version();
	gtk_widget_show (window_Preference);
}



void on_window_Preference_destroy (GtkObject * object, gpointer user_data)
{
	window_Preference = create_window_Preference ();
	Liste_Interface ();
	Lecture_Fichier_Interface ();
}
