/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef         __OS_DETECT
#define         __OS_DETECT
#include <gtk/gtk.h>
#include "crypt-md5.h"


struct struct_Liste_Signature {
	char     *Nom;
	int 	Type_Machine;
	int		Requete_Netbios;
	int		Routeur;
	md5_byte_t digest[16+1];
	char     *Fichier_Icone;
	char     *Fichier_Icone_Eteint;
	int       Etat_Equipement;
	int       Etat_Equipement_Eteint;
	int       Etat_Equipement_Message;
	int       Etat_Equipement_Email;
	char     *Email;
	GtkCTreeNode *Node;
	GdkBitmap *Masque;
	GdkPixmap *Image;
	GdkBitmap *Masque_Eteint;
	GdkPixmap *Image_Eteint;
};
struct struct_Liste_Signature *Liste_Signature;
int       Nb_Signature;
gboolean  Ajout_Signature;
gboolean  Modif_Signature;
int       Signature_Selectionner;

#endif
