/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "callbacks.h"
#include "Reseau.h"


void on_button_Liste_Modes_Refresh_clicked (GtkButton * button, gpointer user_data)
{
	Message ("This feature is not yet implemented", GNOME_MESSAGE_BOX_INFO);
}




void on_optionmenu_Liste_Modes_changed (GtkOptionMenu * optionmenu, gpointer user_data)
{
	//Message ("This feature is not yet implemented", GNOME_MESSAGE_BOX_INFO);
}


void on_button_Liste_Modes_Favorite_clicked (GtkButton * button, gpointer user_data)
{
	Message ("This feature is not yet implemented", GNOME_MESSAGE_BOX_INFO);
}

static void menuitem_Modes_response (GtkWidget * widget, int user_data)
{
	printf ("[I] Modes Selectionner : (%d)\n", user_data);
	switch (user_data) {
	    case 1:
		    if (!Mode_Liste_Icone_Port) {
			    Mode_Liste_Icone_Port = TRUE;
			    Afficher_Liste_Port_Ouvert ();
		    }
		    break;
	    case 2:
		    if (Mode_Liste_Icone_Port) {
			    gtk_widget_set_sensitive (iconlist, FALSE);
			    Affiche_Partage ();
		    }
		    break;
	}
}

void Creer_Menu_Modes ()
{
	GtkWidget *menu_items;
	GtkWidget *menu_modes;

	menu_modes = gtk_menu_new ();
	menu_items = gtk_menu_item_new_with_label ("List Port");
	gtk_menu_append (GTK_MENU (menu_modes), menu_items);
	gtk_widget_show (menu_items);
	gtk_signal_connect (GTK_OBJECT (menu_items), "activate", GTK_SIGNAL_FUNC (menuitem_Modes_response), (gpointer) 1);
	menu_items = gtk_menu_item_new_with_label ("File sharing");
	gtk_menu_append (GTK_MENU (menu_modes), menu_items);
	gtk_widget_show (menu_items);
	gtk_signal_connect (GTK_OBJECT (menu_items), "activate", GTK_SIGNAL_FUNC (menuitem_Modes_response), (gpointer) 2);
	gtk_option_menu_set_menu (GTK_OPTION_MENU (optionmenu_Liste_Modes), menu_modes);
	gtk_widget_show (optionmenu_Liste_Modes);
}
