/*
 *  Copyright (C) 2004 Thierry Lagarde <tlagarde@user.sourceforge.net>
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef         __PORT
#define         __PORT
#include <gtk/gtk.h>

/* Etat d'un port */
#define ETAT_INCONNU 0
#define OUVERT 1
#define FERMER 2
#define FIREWALLED 3

struct struct_Liste_Port {
	int       Num_Port;
	int       Type_Machine;	//MATERIEL,STATION ou SERVEUR
	char     *Nom;
	char     *Fichier_Icone;
	char	 *Fichier_Icone_Fermer;
	char     *Description;
	char     *Programme;
	int       LireEntete;
	char     *En_Tete;
	int       Marquer;
	int       Etat_Port;
	int       Etat_Port_Fermer;
	int       Etat_Port_Message;
	int       Etat_Port_Email;
	char     *Email;
	GtkCTreeNode *Node;
	char      red;
	char      green;
	char      blue;
};
struct struct_Liste_Port *Liste_Port_Scan;
int       Nb_Port_Dans_Liste_Scan;
gboolean  Ajout_Port;
gboolean  Modif_Port;
int       Port_Selectionner;

#endif
